## django-anymail 0.7

=== debian/changelog ===
django-anymail (0.7-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Mon, 02 Jan 2017 08:15:39 -0500

django-anymail (0.6.1-1) unstable; urgency=low

  * Initial release. (Closes: #844675)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 17 Nov 2016 18:15:32 -0500

## django-anymail 11.1

=== docs/requirements.txt ===
# Packages required only for building docs

Pygments~=2.16.1
readme-renderer~=41.0
sphinx~=7.2
sphinx-rtd-theme~=2.0.0

## django-anymail 0.8

=== debian/changelog ===
django-anymail (0.8-2+deb9u1) stretch-security; urgency=high

  * Security fix for timing attack on WEBHOOK_AUTHORIZATION secret (CVE-2018-
    6596) as described in https://github.com/anymail/django-anymail/releases/
    tag/v1.2.1 (Closes: #889450)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 06 Feb 2018 22:44:27 -0500

django-anymail (0.8-2) unstable; urgency=medium

  * Upload to unstable (See #859306)
  * Cherry pick debian/patches/fix-attachment-crash from upstream to prevent
    tracebacks when when sending rfc822 messages as attachments (Upstream
    issue https://github.com/anymail/django-anymail/pull/59)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 22 Apr 2017 15:41:48 -0400

django-anymail (0.8-1) experimental; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 01 Apr 2017 16:37:22 -0400

=== debian/control ===
Source: django-anymail
Section: contrib/python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
# Test Requirements
# python-django,
# python-mock,
# python-requests,
# python-six,
# python-sparkpost,
# python3-django,
# python3-requests,
# python3-six,
# python3-mock,
# python3-sparkpost
Standards-Version: 3.9.8
Homepage: https://github.com/anymail/django-anymail
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-anymail.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-anymail.git

Package: python-django-anymail
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Suggests: python-sparkpost
Description: Django email backend for multiple ESPs (Python 2)
 Anymail integrates several transactional email service providers (ESPs) into
 Django, with a consistent API that lets you use ESP-added features without
 locking your code to a particular ESP.
 .
 It currently fully supports Mailgun, Postmark, SendGrid, and SparkPost, and
 has limited support for Mandrill.
 .
 Anymail normalizes ESP functionality so it "just works" with Django's
 built-in `django.core.mail` package. It includes:
 .
   * Support for HTML, attachments, extra headers, and other features of
     Django's built-in email
   * Extensions that make it easy to use extra ESP functionality, like tags,
     metadata, and tracking, with code that's portable between ESPs
   * Simplified inline images for HTML email
   * Normalized sent-message status and tracking notification, by connecting
     your ESP's webhooks to Django signals
   * "Batch transactional" sends using your ESP's merge and template features
 .
 This is the Python 2 version of the package.

Package: python3-django-anymail
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-sparkpost
Description: Django email backend for multiple ESPs (Python 3)
 Anymail integrates several transactional email service providers (ESPs) into
 Django, with a consistent API that lets you use ESP-added features without
 locking your code to a particular ESP.
 .
 It currently fully supports Mailgun, Postmark, SendGrid, and SparkPost, and
 has limited support for Mandrill.
 .
 Anymail normalizes ESP functionality so it "just works" with Django's
 built-in `django.core.mail` package. It includes:
 .
   * Support for HTML, attachments, extra headers, and other features of
     Django's built-in email
   * Extensions that make it easy to use extra ESP functionality, like tags,
     metadata, and tracking, with code that's portable between ESPs
   * Simplified inline images for HTML email
   * Normalized sent-message status and tracking notification, by connecting
     your ESP's webhooks to Django signals
   * "Batch transactional" sends using your ESP's merge and template features
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-anymail

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	# Tests not shipped with package, need to talk to upstream.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django-anymail/django-anymail-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-anymail 0.11.1

=== debian/changelog ===
django-anymail (0.11.1-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.0.1 without further change
  * Fix debian/changelog typo
  * Update package descriptions to mention support for Mailjet

 -- Scott Kitterman <scott@kitterman.com>  Sun, 20 Aug 2017 15:13:37 -0400

django-anymail (0.10-1) unstable; urgency=medium

  * New upstream release
    - Drop obsolete patches and debian/patches directory

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Jun 2017 20:58:07 -0400

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # python3-six,
 # python3-mock,
 # python3-sparkpost
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/anymail/django-anymail
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-anymail.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-anymail.git
@@ -37,8 +37,8 @@
  Django, with a consistent API that lets you use ESP-added features without
  locking your code to a particular ESP.
  .
- It currently fully supports Mailgun, Postmark, SendGrid, and SparkPost, and
- has limited support for Mandrill.
+ It currently fully supports Mailgun, Mailjet, Postmark, SendGrid, and
+ SparkPost, and has limited support for Mandrill.
  .
  Anymail normalizes ESP functionality so it "just works" with Django's
  built-in `django.core.mail` package. It includes:
@@ -66,8 +66,8 @@
  Django, with a consistent API that lets you use ESP-added features without
  locking your code to a particular ESP.
  .
- It currently fully supports Mailgun, Postmark, SendGrid, and SparkPost, and
- has limited support for Mandrill.
+ It currently fully supports Mailgun, Mailjet, Postmark, SendGrid, and
+ SparkPost, and has limited support for Mandrill.
  .
  Anymail normalizes ESP functionality so it "just works" with Django's
  built-in `django.core.mail` package. It includes:

## django-anymail 1.4

=== debian/changelog ===
django-anymail (1.4-1) unstable; urgency=high

  * New upstream release (Closes: #890097)
    - Fixes new WEBHOOK_AUTHORIZATION secret security issue (CVE pending)
  * Update Vcs-* for move to salsa.d.o
  * Bump standards-version to 4.1.3 without further change
  * Added missing disclaimer on why django-anymail is in contrib

 -- Scott Kitterman <scott@kitterman.com>  Sun, 11 Feb 2018 01:21:39 -0500

django-anymail (1.3-1) unstable; urgency=medium

  * New upstream release (Closes: #889450)
    - Includes security fix for timing attack on WEBHOOK_AUTHORIZATION secret
      (CVE-2018-6596) as described in
      https://github.com/anymail/django-anymail/releases/tag/v1.2.1
  * Update debian/watch and debian/copyright to use secure URIs

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Feb 2018 11:23:43 -0500

django-anymail (1.2-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 05 Nov 2017 18:29:24 -0500

django-anymail (1.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.1.1.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 07 Oct 2017 18:49:50 -0400

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,10 @@
 # python3-six,
 # python3-mock,
 # python3-sparkpost
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/anymail/django-anymail
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-anymail.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-anymail.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/django-anymail.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/django-anymail.git
 
 Package: python-django-anymail
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-anymail/django-anymail-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-anymail 3.0

=== debian/changelog ===
django-anymail (3.0-1) unstable; urgency=medium

  * New upstream release
  * Add python/python3-boto3 to Suggests for Amazon SES support

 -- Scott Kitterman <scott@kitterman.com>  Mon, 04 Jun 2018 01:07:47 -0400

django-anymail (2.2-1) unstable; urgency=medium

  * New upstream release
    - Add Amazon SES to supported mailers in long descriptions
  * Bump standards-version to 4.1.4 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 30 Apr 2018 17:12:23 -0400

django-anymail (2.0-1) unstable; urgency=medium

  * New upstream release
    - Updated package descriptions in debian/control to mention addition of
      SendinBlue support
    - Add debian/NEWS to report breaking change, WEBHOOK_AUTHORIZATION renamed
      to WEBHOOK_SECRET

 -- Scott Kitterman <scott@kitterman.com>  Sun, 11 Mar 2018 03:42:20 -0400

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # python3-six,
 # python3-mock,
 # python3-sparkpost
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/anymail/django-anymail
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-anymail.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-anymail.git
@@ -31,14 +31,15 @@
 Depends:
  ${misc:Depends},
  ${python:Depends},
-Suggests: python-sparkpost
+Suggests: python-sparkpost, python-boto3
 Description: Django email backend for multiple ESPs (Python 2)
  Anymail integrates several transactional email service providers (ESPs) into
  Django, with a consistent API that lets you use ESP-added features without
  locking your code to a particular ESP.
  .
- It currently fully supports Mailgun, Mailjet, Postmark, SendGrid, and
- SparkPost, and has limited support for Mandrill.
+ It currently fully supports Amazon SES (requires python-boto3), Mailgun,
+ Mailjet, Postmark, SendinBlue, SendGrid, and SparkPost, and has limited
+ support for Mandrill
  .
  Anymail normalizes ESP functionality so it "just works" with Django's
  built-in `django.core.mail` package. It includes:
@@ -60,14 +61,15 @@
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
- python3-sparkpost
+ python3-sparkpost, python3-boto3
 Description: Django email backend for multiple ESPs (Python 3)
  Anymail integrates several transactional email service providers (ESPs) into
  Django, with a consistent API that lets you use ESP-added features without
  locking your code to a particular ESP.
  .
- It currently fully supports Mailgun, Mailjet, Postmark, SendGrid, and
- SparkPost, and has limited support for Mandrill.
+ It currently fully supports Amazon SES (requires python3-boto3), Mailgun,
+ Mailjet, Postmark, SendinBlue, SendGrid, and SparkPost, and has limited
+ support for Mandrill
  .
  Anymail normalizes ESP functionality so it "just works" with Django's
  built-in `django.core.mail` package. It includes:

## django-anymail 5.0

=== debian/changelog ===
django-anymail (5.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.2.1 without further change
  * Move from contrib to main - free software that interacts with
    proprietary services is allowed in main

 -- Scott Kitterman <scott@kitterman.com>  Wed, 05 Dec 2018 15:30:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: django-anymail
-Section: contrib/python
+Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>
@@ -21,7 +21,7 @@
 # python3-six,
 # python3-mock,
 # python3-sparkpost
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/anymail/django-anymail
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-anymail.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-anymail.git

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,3 @@
 
 override_dh_auto_test:
 	# Tests not shipped with package, need to talk to upstream.
-

## django-anymail 6.1.0

=== debian/changelog ===
django-anymail (6.1.0-1) unstable; urgency=medium

  * Bump standards-version to 4.4.0 without further change
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Aug 2019 18:22:24 -0400

django-anymail (5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Jul 2019 03:42:18 +0200

## django-anymail 7.0.0

=== debian/changelog ===
django-anymail (7.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Thu, 19 Sep 2019 19:15:28 -0400

=== debian/control ===
Source: django-anymail
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 python3-all,
 python3-setuptools,
# Test Requirements
# python3-django,
# python3-requests,
# python3-six,
# python3-mock,
# python3-sparkpost
Standards-Version: 4.4.0
Homepage: https://github.com/anymail/django-anymail
Vcs-Git: https://salsa.debian.org/python-team/modules/django-anymail.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-anymail.git

Package: python3-django-anymail
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-sparkpost, python3-boto3
Description: Django email backend for multiple ESPs (Python 3)
 Anymail integrates several transactional email service providers (ESPs) into
 Django, with a consistent API that lets you use ESP-added features without
 locking your code to a particular ESP.
 .
 It currently fully supports Amazon SES (requires python3-boto3), Mailgun,
 Mailjet, Postmark, SendinBlue, SendGrid, and SparkPost, and has limited
 support for Mandrill
 .
 Anymail normalizes ESP functionality so it "just works" with Django's
 built-in `django.core.mail` package. It includes:
 .
   * Support for HTML, attachments, extra headers, and other features of
     Django's built-in email
   * Extensions that make it easy to use extra ESP functionality, like tags,
     metadata, and tracking, with code that's portable between ESPs
   * Simplified inline images for HTML email
   * Normalized sent-message status and tracking notification, by connecting
     your ESP's webhooks to Django signals
   * "Batch transactional" sends using your ESP's merge and template features
 .
 This is the Python 3 version of the package.

## django-anymail 7.1.0

=== debian/changelog ===
django-anymail (7.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*

  [ Scott Kitterman ]
  * New upstream release
  * Bump standards-version to 4.5.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 14 Apr 2020 22:53:44 -0400

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
 # python3-six,
 # python3-mock,
 # python3-sparkpost
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/anymail/django-anymail
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-anymail.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-anymail.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/django-anymail
 
 Package: python3-django-anymail
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-anymail

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Tests not shipped with package, need to talk to upstream.

## django-anymail 8.5

=== debian/changelog ===
django-anymail (8.5-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch to version 4
  * Add repository fields to d/u/metadata

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Jan 2022 16:19:26 -0500

django-anymail (8.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Scott Kitterman ]
  * New upstream release
  * Update debhelper-compat to 13
  * Bump standards-verstion to 4.6.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 10 Dec 2021 22:52:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: django-anymail
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -14,10 +14,10 @@
 # python3-six,
 # python3-mock,
 # python3-sparkpost
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/anymail/django-anymail
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-anymail.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-anymail
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-anymail.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-anymail
 
 Package: python3-django-anymail
 Architecture: all

## django-anymail 9.0

=== debian/changelog ===
django-anymail (9.0-1) unstable; urgency=medium

  * Delete obsolete debian/NEWS entry
  * New upstream release
  * Bump standards-version to 4.6.2 with no further changes

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Dec 2022 00:30:53 -0500

django-anymail (8.6-1) unstable; urgency=medium

  * New upstream release
  * Update long description based on upstream README updates
  * Bump standards-version to 4.6.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 25 Oct 2022 23:35:43 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # python3-six,
 # python3-mock,
 # python3-sparkpost
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/anymail/django-anymail
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-anymail.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-anymail
@@ -32,8 +32,8 @@
  locking your code to a particular ESP.
  .
  It currently fully supports Amazon SES (requires python3-boto3), Mailgun,
- Mailjet, Postmark, SendinBlue, SendGrid, and SparkPost, and has limited
- support for Mandrill
+ Mailjet, Mandrill (MailChimp transactional), Postal (self-hosted ESP),
+ Postmark, SendinBlue, SendGrid, and SparkPost.
  .
  Anymail normalizes ESP functionality so it "just works" with Django's
  built-in `django.core.mail` package. It includes:

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-anymail/django-anymail-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-anymail 9.2

=== debian/changelog ===
django-anymail (9.2-1) unstable; urgency=medium

  * New upstream release
  * Update package long description to mention support for MailerSend
  * Add python3-cryptography to Suggests and menition it is required for
    Postal support in long description

 -- Scott Kitterman <scott@kitterman.com>  Thu, 15 Jun 2023 18:35:19 -0400

=== debian/control ===
--- 
+++ 
@@ -25,15 +25,16 @@
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
- python3-sparkpost, python3-boto3
+ python3-sparkpost, python3-boto3, python3-cryptography
 Description: Django email backend for multiple ESPs (Python 3)
  Anymail integrates several transactional email service providers (ESPs) into
  Django, with a consistent API that lets you use ESP-added features without
  locking your code to a particular ESP.
  .
- It currently fully supports Amazon SES (requires python3-boto3), Mailgun,
- Mailjet, Mandrill (MailChimp transactional), Postal (self-hosted ESP),
- Postmark, SendinBlue, SendGrid, and SparkPost.
+ It currently fully supports Amazon SES (requires python3-boto3), MailerSend,
+ Mailgun, Mailjet, Mandrill (MailChimp transactional), Postal (self-hosted
+ ESP, requires python3-cryptography), Postmark, SendinBlue, SendGrid, and
+ SparkPost.
  .
  Anymail normalizes ESP functionality so it "just works" with Django's
  built-in `django.core.mail` package. It includes:

## django-anymail 10.2

=== debian/changelog ===
django-anymail (10.2-1) unstable; urgency=medium

  * Orphan the package, see #1063317
    - Remove myself from uploaders and update maintainer to Debian QA Group
    - Update Vcs-* to Debian group
  * Add d/source/options extend-diff-ignore to fix dpkg-source failure due to
    local changes (python package metadata regeneration) (Closes: #1044967)
  * Update d/watch to find django_anymail so versions after 9.2 are detected
  * New upstream release
  * Replace Build-Depends on python3-setuptools with pybuild-plugin-pyproject
    and python3-hatchling
  * Add d/p/0001-No-hatchling-README-install.patch to avoid stray README
    install

 -- Scott Kitterman <scott@kitterman.com>  Tue, 06 Feb 2024 00:41:53 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: django-anymail
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-hatchling,
 # Test Requirements
 # python3-django,
 # python3-requests,
@@ -16,8 +16,8 @@
 # python3-sparkpost
 Standards-Version: 4.6.2
 Homepage: https://github.com/anymail/django-anymail
-Vcs-Git: https://salsa.debian.org/python-team/packages/django-anymail.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/django-anymail
+Vcs-Git: https://salsa.debian.org/debian/django-anymail.git
+Vcs-Browser: https://salsa.debian.org/debian/packages/django-anymail
 
 Package: python3-django-anymail
 Architecture: all

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-anymail/django_anymail-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-anymail 11.0

=== debian/changelog ===
django-anymail (11.0-1) unstable; urgency=medium

  * New upstream version 11.0

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Tue, 02 Jul 2024 13:25:53 +0000

django-anymail (10.3-2) unstable; urgency=medium

  * d/control: Remove python3-sparkpost from suggested packages (not needed)

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Thu, 23 May 2024 10:06:11 +0000

django-anymail (10.3-1) unstable; urgency=medium

  * New upstream version 10.3
  * New Maintainer (Closes: #1063317)
  * d/control:
    - Set Rules-Requires-Root to 'no'
    - Bump Standards-Version to 4.7.0
    - Change Vcs-Browser to correct URL
    - Change Maintainer name to new maintainer
    - Add Build-Depends on python3-django, python3-responses, and
      python3-boto3; needed by tests
  * d/copyright: Add New maintainer's name in debian/* copyright stanza
  * d/p/0001-No-hatchling-README-install.patch: modify according to upstream
  * d/watch: Update watch file to watch github instead of pypi
  * d/rules:
    - Change PYBUILD_NAME to 'anymail'
    - Override dh_auto_test to run tests
    - Override dh_installchangelogs to include CHANGELOG.rst
  * d/tests/control: setup autopkgtest test command

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Sun, 19 May 2024 06:34:45 +0000

## django-anymail 11.1

=== debian/changelog ===
django-anymail (11.1-1) unstable; urgency=medium

  * New upstream version 11.1

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Mon, 12 Aug 2024 14:19:58 +0000

django-anymail (11.0.1-1) unstable; urgency=medium

  * New upstream version 11.0.1

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Thu, 18 Jul 2024 14:44:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: django-anymail
 Section: python
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Akash Doppalapudi <akashdoppalapudi2001@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  pybuild-plugin-pyproject,
  python3-all,
  python3-hatchling,
-# Test Requirements
-# python3-django,
-# python3-requests,
-# python3-six,
-# python3-mock,
-# python3-sparkpost
-Standards-Version: 4.6.2
+ python3-django,
+ python3-responses,
+ python3-boto3,
+Standards-Version: 4.7.0
 Homepage: https://github.com/anymail/django-anymail
 Vcs-Git: https://salsa.debian.org/debian/django-anymail.git
-Vcs-Browser: https://salsa.debian.org/debian/packages/django-anymail
+Vcs-Browser: https://salsa.debian.org/debian/django-anymail
+Rules-Requires-Root: no
 
 Package: python3-django-anymail
 Architecture: all
@@ -25,7 +23,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
- python3-sparkpost, python3-boto3, python3-cryptography
+ python3-boto3, python3-cryptography
 Description: Django email backend for multiple ESPs (Python 3)
  Anymail integrates several transactional email service providers (ESPs) into
  Django, with a consistent API that lets you use ESP-added features without

## django-anymail 12.0

=== debian/changelog ===
django-anymail (12.0-1) unstable; urgency=medium

  * New upstream version 12.0
  * d/control:
    - Set python3-django dependency minimum version to 4.0
  * d/p/0002-Remove-Django-5.1-Classifier-from-pyproject-toml.patch:
    - Add a new patch to fix unknown classifier build error

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Sun, 15 Sep 2024 06:17:34 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-hatchling,
- python3-django,
+ python3-django (>= 4.0),
  python3-responses,
  python3-boto3,
 Standards-Version: 4.7.0

=== debian/tests/control ===
Tests: upstream-tests
Depends:
 @,
 python3-all,
 python3-django-anymail,
 python3-boto3,
 python3-responses
Restrictions: allow-stderr

## django-anymail 13.0

=== docs/requirements.txt ===
# Packages required only for building docs

Pygments~=2.18.0
readme-renderer~=41.0
sphinx~=7.4
sphinx-rtd-theme~=2.0.0
sphinxcontrib-googleanalytics~=0.4

=== debian/changelog ===
django-anymail (13.0-1) unstable; urgency=medium

  * New upstream version 13.0
  * d/p/0002-Remove-Django-5.1-Classifier-from-pyproject-toml.patch:
    - Remove unnecessary patch
  * d/control: Bump Standards-Version to 4.7.2

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Wed, 09 Apr 2025 15:52:36 +0000

## django-anymail 13.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Djrill.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Djrill.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Djrill"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Djrill"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== tests/requirements.txt ===
# Additional packages needed only for running tests
responses

=== debian/changelog ===
django-anymail (13.1-1) unstable; urgency=medium

  * New upstream version 13.1

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Sun, 07 Sep 2025 22:51:26 +0530

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-django (>= 4.0),
  python3-responses,
  python3-boto3,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/anymail/django-anymail
 Vcs-Git: https://salsa.debian.org/debian/django-anymail.git
 Vcs-Browser: https://salsa.debian.org/debian/django-anymail

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=anymail
# Tell the upstream testsuite not to run tests against external 'live' environments
export CONTINUOUS_INTEGRATION=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} runtests.py" dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
https://github.com/anymail/django-anymail/tags .*/v(\d\S+)@ARCHIVE_EXT@

## django-anymail 14.0

=== debian/changelog ===
django-anymail (14.0-1) unstable; urgency=medium

  * New upstream version 14.0
  * d/control: Bump Standards-Version to 4.7.3
  * d/copyright: Update copyright info for 2026

 -- Akash Doppalapudi <akashdoppalapudi2001@gmail.com>  Sat, 14 Feb 2026 11:47:39 +0530

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-django (>= 4.0),
  python3-responses,
  python3-boto3,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/anymail/django-anymail
 Vcs-Git: https://salsa.debian.org/debian/django-anymail.git
 Vcs-Browser: https://salsa.debian.org/debian/django-anymail
